﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Win32;
using System.Runtime.InteropServices;
using moxa;

namespace UartMode
{
    class Program
    {
        static void Main(string[] args)
        {
           int nPort, nMode;
           nPort = Convert.ToInt16(args[0]);
           nMode = Convert.ToInt16(args[1]);
                
            //Set uart mode
            mxdevice.SetComPortInterface(nPort,(mxdevice.SerialMode)nMode);

            //Get uart mode
            mxdevice.SerialMode mode = mxdevice.GetComPortInterface(nPort);

            System.Console.WriteLine("COM{0}={1}", nPort, (int)mode);
           
        }
    }
}
