
/*Global variables*/
#define MOXA_IOCTL              0x800
#define IOCTL_SET_MODE   CTL_CODE(FILE_DEVICE_SERIAL_PORT, MOXA_IOCTL+23,METHOD_BUFFERED,FILE_ANY_ACCESS)
#define IOCTL_GET_MODE   CTL_CODE(FILE_DEVICE_SERIAL_PORT, MOXA_IOCTL+24,METHOD_BUFFERED,FILE_ANY_ACCESS)
LONG		IoctlCode;
BOOL		IoctlResult;
ULONG		ReturnedLength; 
UCHAR		portMode=0;


/*  Set Uart Mode Configuration(for DeviceIoCntrol)

	Param:   hndFile   ; Port handle 
	Return:  BOOL    = 0             ; FALSE
			         = 1             ; TRUE
			        
*/
BOOL SetPortVal(HANDLE hndFile);

/*  Get Uart Mode Configuration(for DeviceIoCntrol)

	Param:   hndFile   ; Port handle 
	Return:  BOOL    = 0             ; FALSE
			         = 1             ; TRUE
			        
*/
BOOL GetPortVal(HANDLE hndFile);




